Merge remote-tracking branch 'upstream/pull/2009'
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.1)
6       concurrent-ruby (~> 1.0)
7     actioncable (5.2.0)
8       actionpack (= 5.2.0)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailer (5.2.0)
12       actionpack (= 5.2.0)
13       actionview (= 5.2.0)
14       activejob (= 5.2.0)
15       mail (~> 2.5, >= 2.5.4)
16       rails-dom-testing (~> 2.0)
17     actionpack (5.2.0)
18       actionview (= 5.2.0)
19       activesupport (= 5.2.0)
20       rack (~> 2.0)
21       rack-test (>= 0.6.3)
22       rails-dom-testing (~> 2.0)
23       rails-html-sanitizer (~> 1.0, >= 1.0.2)
24     actionpack-page_caching (1.1.1)
25       actionpack (>= 4.0.0, < 6)
26     actionview (5.2.0)
27       activesupport (= 5.2.0)
28       builder (~> 3.1)
29       erubi (~> 1.4)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.0.3)
32     activejob (5.2.0)
33       activesupport (= 5.2.0)
34       globalid (>= 0.3.6)
35     activemodel (5.2.0)
36       activesupport (= 5.2.0)
37     activerecord (5.2.0)
38       activemodel (= 5.2.0)
39       activesupport (= 5.2.0)
40       arel (>= 9.0)
41     activestorage (5.2.0)
42       actionpack (= 5.2.0)
43       activerecord (= 5.2.0)
44       marcel (~> 0.3.1)
45     activesupport (5.2.0)
46       concurrent-ruby (~> 1.0, >= 1.0.2)
47       i18n (>= 0.7, < 2)
48       minitest (~> 5.1)
49       tzinfo (~> 1.1)
50     addressable (2.5.2)
51       public_suffix (>= 2.0.2, < 4.0)
52     annotate (2.7.4)
53       activerecord (>= 3.2, < 6.0)
54       rake (>= 10.4, < 13.0)
55     arel (9.0.0)
56     ast (2.4.0)
57     autoprefixer-rails (8.6.5)
58       execjs
59     better_errors (2.5.0)
60       coderay (>= 1.0.0)
61       erubi (>= 1.0.0)
62       rack (>= 0.9.0)
63     bigdecimal (1.1.0)
64     binding_of_caller (0.8.0)
65       debug_inspector (>= 0.0.1)
66     bootsnap (1.3.2)
67       msgpack (~> 1.0)
68     builder (3.2.3)
69     cancancan (2.1.3)
70     canonical-rails (0.2.4)
71       rails (>= 4.1, < 5.3)
72     capybara (2.18.0)
73       addressable
74       mini_mime (>= 0.1.3)
75       nokogiri (>= 1.3.3)
76       rack (>= 1.0.0)
77       rack-test (>= 0.5.4)
78       xpath (>= 2.0, < 4.0)
79     climate_control (0.2.0)
80     cliver (0.3.2)
81     coderay (1.1.2)
82     coffee-rails (4.2.2)
83       coffee-script (>= 2.2.0)
84       railties (>= 4.0.0)
85     coffee-script (2.4.1)
86       coffee-script-source
87       execjs
88     coffee-script-source (1.12.2)
89     composite_primary_keys (11.0.3)
90       activerecord (~> 5.2.0)
91     concurrent-ruby (1.0.5)
92     coveralls (0.8.22)
93       json (>= 1.8, < 3)
94       simplecov (~> 0.16.1)
95       term-ansicolor (~> 1.3)
96       thor (~> 0.19.4)
97       tins (~> 1.6)
98     crack (0.4.3)
99       safe_yaml (~> 1.0.0)
100     crass (1.0.4)
101     dalli (2.7.9)
102     debug_inspector (0.0.3)
103     delayed_job (4.1.5)
104       activesupport (>= 3.0, < 5.3)
105     delayed_job_active_record (4.1.3)
106       activerecord (>= 3.0, < 5.3)
107       delayed_job (>= 3.0, < 5)
108     docile (1.3.1)
109     dynamic_form (1.1.4)
110     erubi (1.7.1)
111     execjs (2.7.0)
112     exifr (1.3.4)
113     factory_bot (4.11.1)
114       activesupport (>= 3.0.0)
115     factory_bot_rails (4.11.1)
116       factory_bot (~> 4.11.1)
117       railties (>= 3.0.0)
118     faraday (0.15.3)
119       multipart-post (>= 1.2, < 3)
120     ffi (1.9.25)
121     fspath (3.1.0)
122     geoip (1.6.4)
123     globalid (0.4.1)
124       activesupport (>= 4.2.0)
125     hashdiff (0.3.7)
126     hashie (3.5.7)
127     htmlentities (4.3.4)
128     http_accept_language (2.0.5)
129     i18n (0.9.5)
130       concurrent-ruby (~> 1.0)
131     i18n-js (3.1.0)
132       i18n (>= 0.6.6, < 2)
133     image_optim (0.26.3)
134       exifr (~> 1.2, >= 1.2.2)
135       fspath (~> 3.0)
136       image_size (>= 1.5, < 3)
137       in_threads (~> 1.3)
138       progress (~> 3.0, >= 3.0.1)
139     image_optim_rails (0.4.1)
140       image_optim (~> 0.24)
141       rails
142       sprockets
143     image_size (2.0.0)
144     in_threads (1.5.0)
145     jaro_winkler (1.5.1)
146     jquery-rails (4.3.3)
147       rails-dom-testing (>= 1, < 3)
148       railties (>= 4.2.0)
149       thor (>= 0.14, < 2.0)
150     jshint (1.5.0)
151       execjs (>= 1.4.0)
152       multi_json (~> 1.0)
153       therubyracer (~> 0.12.1)
154     json (2.1.0)
155     jsonify (0.3.1)
156       multi_json (~> 1.0)
157     jsonify-rails (0.3.2)
158       actionpack
159       jsonify (< 0.4.0)
160     jwt (1.5.6)
161     kgio (2.11.2)
162     libv8 (3.16.14.19)
163     libxml-ruby (3.1.0)
164     listen (3.1.5)
165       rb-fsevent (~> 0.9, >= 0.9.4)
166       rb-inotify (~> 0.9, >= 0.9.7)
167       ruby_dep (~> 1.2)
168     logstash-event (1.2.02)
169     logstasher (1.3.0)
170       activesupport (>= 4.0)
171       logstash-event (~> 1.2.0)
172       request_store
173     loofah (2.2.3)
174       crass (~> 1.0.2)
175       nokogiri (>= 1.5.9)
176     mail (2.7.1)
177       mini_mime (>= 0.1.1)
178     marcel (0.3.3)
179       mimemagic (~> 0.3.2)
180     method_source (0.9.0)
181     mime-types (3.2.2)
182       mime-types-data (~> 3.2015)
183     mime-types-data (3.2018.0812)
184     mimemagic (0.3.2)
185     mini_mime (1.0.1)
186     mini_portile2 (2.3.0)
187     minitest (5.11.3)
188     msgpack (1.2.4)
189     multi_json (1.13.1)
190     multi_xml (0.6.0)
191     multipart-post (2.0.0)
192     nio4r (2.3.1)
193     nokogiri (1.8.5)
194       mini_portile2 (~> 2.3.0)
195     nokogumbo (2.0.0)
196       nokogiri (~> 1.8, >= 1.8.4)
197     oauth (0.4.7)
198     oauth-plugin (0.5.1)
199       multi_json
200       oauth (~> 0.4.4)
201       oauth2 (>= 0.5.0)
202       rack
203     oauth2 (1.4.1)
204       faraday (>= 0.8, < 0.16.0)
205       jwt (>= 1.0, < 3.0)
206       multi_json (~> 1.3)
207       multi_xml (~> 0.5)
208       rack (>= 1.2, < 3)
209     omniauth (1.8.1)
210       hashie (>= 3.4.6, < 3.6.0)
211       rack (>= 1.6.2, < 3)
212     omniauth-facebook (5.0.0)
213       omniauth-oauth2 (~> 1.2)
214     omniauth-github (1.3.0)
215       omniauth (~> 1.5)
216       omniauth-oauth2 (>= 1.4.0, < 2.0)
217     omniauth-google-oauth2 (0.5.3)
218       jwt (>= 1.5)
219       omniauth (>= 1.1.1)
220       omniauth-oauth2 (>= 1.5)
221     omniauth-mediawiki (0.0.3)
222       jwt (~> 1.0)
223       omniauth-oauth (~> 1.0)
224     omniauth-oauth (1.1.0)
225       oauth
226       omniauth (~> 1.0)
227     omniauth-oauth2 (1.5.0)
228       oauth2 (~> 1.1)
229       omniauth (~> 1.2)
230     omniauth-openid (1.0.1)
231       omniauth (~> 1.0)
232       rack-openid (~> 1.3.1)
233     omniauth-windowslive (0.0.12)
234       multi_json (~> 1.12)
235       omniauth-oauth2 (~> 1.4)
236     openstreetmap-deadlock_retry (1.3.0)
237     paperclip (5.3.0)
238       activemodel (>= 4.2.0)
239       activesupport (>= 4.2.0)
240       mime-types
241       mimemagic (~> 0.3.0)
242       terrapin (~> 0.6.0)
243     parallel (1.12.1)
244     parser (2.5.3.0)
245       ast (~> 2.4.0)
246     pg (0.21.0)
247     poltergeist (1.18.1)
248       capybara (>= 2.1, < 4)
249       cliver (~> 0.3.1)
250       websocket-driver (>= 0.2.0)
251     powerpack (0.1.2)
252     progress (3.5.0)
253     psych (3.0.3)
254     public_suffix (3.0.3)
255     puma (3.12.0)
256     quad_tile (1.0.1)
257     r2 (0.2.7)
258     rack (2.0.5)
259     rack-cors (1.0.2)
260     rack-openid (1.3.1)
261       rack (>= 1.1.0)
262       ruby-openid (>= 2.1.8)
263     rack-test (1.1.0)
264       rack (>= 1.0, < 3)
265     rack-uri_sanitizer (0.0.2)
266     rails (5.2.0)
267       actioncable (= 5.2.0)
268       actionmailer (= 5.2.0)
269       actionpack (= 5.2.0)
270       actionview (= 5.2.0)
271       activejob (= 5.2.0)
272       activemodel (= 5.2.0)
273       activerecord (= 5.2.0)
274       activestorage (= 5.2.0)
275       activesupport (= 5.2.0)
276       bundler (>= 1.3.0)
277       railties (= 5.2.0)
278       sprockets-rails (>= 2.0.0)
279     rails-controller-testing (1.0.2)
280       actionpack (~> 5.x, >= 5.0.1)
281       actionview (~> 5.x, >= 5.0.1)
282       activesupport (~> 5.x)
283     rails-dom-testing (2.0.3)
284       activesupport (>= 4.2.0)
285       nokogiri (>= 1.6)
286     rails-html-sanitizer (1.0.4)
287       loofah (~> 2.2, >= 2.2.2)
288     rails-i18n (4.0.2)
289       i18n (~> 0.6)
290       rails (>= 4.0)
291     railties (5.2.0)
292       actionpack (= 5.2.0)
293       activesupport (= 5.2.0)
294       method_source
295       rake (>= 0.8.7)
296       thor (>= 0.18.1, < 2.0)
297     rainbow (3.0.0)
298     rake (12.3.1)
299     rb-fsevent (0.10.3)
300     rb-inotify (0.9.10)
301       ffi (>= 0.5.0, < 2)
302     record_tag_helper (1.0.0)
303       actionview (~> 5.x)
304     redcarpet (3.4.0)
305     ref (2.0.0)
306     request_store (1.4.1)
307       rack (>= 1.4)
308     rinku (2.0.4)
309     rotp (4.0.2)
310       addressable (~> 2.5)
311     rubocop (0.60.0)
312       jaro_winkler (~> 1.5.1)
313       parallel (~> 1.10)
314       parser (>= 2.5, != 2.5.1.1)
315       powerpack (~> 0.1)
316       rainbow (>= 2.2.2, < 4.0)
317       ruby-progressbar (~> 1.7)
318       unicode-display_width (~> 1.4.0)
319     ruby-openid (2.7.0)
320     ruby-progressbar (1.10.0)
321     ruby_dep (1.5.0)
322     safe_yaml (1.0.4)
323     sanitize (5.0.0)
324       crass (~> 1.0.2)
325       nokogiri (>= 1.8.0)
326       nokogumbo (~> 2.0)
327     sassc (2.0.0)
328       ffi (~> 1.9.6)
329       rake
330     sassc-rails (2.0.0)
331       railties (>= 4.0.0)
332       sassc (>= 2.0)
333       sprockets (> 3.0)
334       sprockets-rails
335       tilt
336     secure_headers (6.0.0)
337     simplecov (0.16.1)
338       docile (~> 1.1)
339       json (>= 1.8, < 3)
340       simplecov-html (~> 0.10.0)
341     simplecov-html (0.10.2)
342     sprockets (3.7.2)
343       concurrent-ruby (~> 1.0)
344       rack (> 1, < 3)
345     sprockets-rails (3.2.1)
346       actionpack (>= 4.0)
347       activesupport (>= 4.0)
348       sprockets (>= 3.0.0)
349     term-ansicolor (1.6.0)
350       tins (~> 1.0)
351     terrapin (0.6.0)
352       climate_control (>= 0.0.3, < 1.0)
353     therubyracer (0.12.3)
354       libv8 (~> 3.16.14.15)
355       ref
356     thor (0.19.4)
357     thread_safe (0.3.6)
358     tilt (2.0.8)
359     tins (1.17.0)
360     tzinfo (1.2.5)
361       thread_safe (~> 0.1)
362     uglifier (4.1.19)
363       execjs (>= 0.3.0, < 3)
364     unicode-display_width (1.4.0)
365     validates_email_format_of (1.6.3)
366       i18n
367     vendorer (0.2.0)
368     webmock (3.4.2)
369       addressable (>= 2.3.6)
370       crack (>= 0.3.2)
371       hashdiff
372     websocket-driver (0.7.0)
373       websocket-extensions (>= 0.1.0)
374     websocket-extensions (0.1.3)
375     xpath (3.2.0)
376       nokogiri (~> 1.8)
377
378 PLATFORMS
379   ruby
380
381 DEPENDENCIES
382   SystemTimer (>= 1.1.3)
383   aasm
384   actionpack-page_caching
385   annotate
386   autoprefixer-rails (~> 8.6.3)
387   better_errors
388   bigdecimal (~> 1.1.0)
389   binding_of_caller
390   bootsnap (>= 1.1.0)
391   cancancan
392   canonical-rails
393   capybara (~> 2.13)
394   coffee-rails (~> 4.2)
395   composite_primary_keys (~> 11.0.0)
396   coveralls
397   dalli
398   delayed_job_active_record
399   dynamic_form
400   factory_bot_rails
401   faraday
402   geoip
403   htmlentities
404   http_accept_language (~> 2.0.0)
405   i18n-js (>= 3.0.0)
406   image_optim_rails
407   jquery-rails
408   jshint
409   json
410   jsonify-rails
411   kgio
412   libxml-ruby (>= 2.0.5)
413   listen
414   logstasher
415   minitest (~> 5.1)
416   oauth-plugin (>= 0.5.1)
417   omniauth
418   omniauth-facebook
419   omniauth-github
420   omniauth-google-oauth2 (>= 0.2.7)
421   omniauth-mediawiki (>= 0.0.3)
422   omniauth-openid
423   omniauth-windowslive
424   openstreetmap-deadlock_retry (>= 1.3.0)
425   paperclip (~> 5.2)
426   pg (~> 0.18)
427   poltergeist
428   psych
429   puma (~> 3.7)
430   quad_tile (~> 1.0.1)
431   r2 (~> 0.2.7)
432   rack-cors
433   rack-uri_sanitizer
434   rails (= 5.2.0)
435   rails-controller-testing
436   rails-i18n (~> 4.0.0)
437   record_tag_helper
438   redcarpet
439   rinku (>= 1.2.2)
440   rotp
441   rubocop
442   sanitize
443   sassc-rails
444   secure_headers
445   uglifier (>= 1.3.0)
446   validates_email_format_of (>= 1.5.1)
447   vendorer
448   webmock
449
450 BUNDLED WITH
451    1.16.2